<?php
/**
 * Stub implementation for the owner representation.
 *
 * PHP version 5
 *
 * @category   Kolab
 * @package    Kolab_FreeBusy
 * @subpackage UnitTests
 * @author     Gunnar Wrobel <wrobel@pardus.de>
 * @license    http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link       http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */

class Horde_Kolab_FreeBusy_Stub_Owner
implements Horde_Kolab_FreeBusy_Owner
{
    public function getName()
    {
        return 'Mr. New';
    }

    public function getPrimaryId()
    {
        return $this->getMail();
    }

    public function getMail()
    {
        return 'test@example.org';
    }
}